diff --git a/helpers/config b/helpers/config
index 4ab62cf68eb851c363a5e9294e3e75ff5cbe82fd..89908f49af63f8bb5b014d70e0bcc7639b0c59f2 100755
--- a/helpers/config
+++ b/helpers/config
@@ -1,6 +1,7 @@
 #!/bin/bash
 #
 #    Copyright (C) 2008-2010  Rubén Rodríguez <ruben@trisquel.info>
+#    Copyright (C)      2014  Santiago Rodriguez <santi@trisquel.info>
 #
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -18,29 +19,20 @@
 #
 
 set -e
-
+export LANG=C LC_TIME=C
 PACKAGE=$(echo $0 |/bin/sed s/make-//g)
+
+
+export DATE=$(date +'%a, %d %b %Y %T %z')
+
 export DATA=$PWD/DATA/$PACKAGE
 if ! [ 1$COMPONENT = "1main" ]
 then
     COMPONENT=${COMPONENT:-universe}
-    /bin/sed 's/^enable.*/enable: false/g' -i /etc/pkgbinarymangler/*.conf
-fi
-
-if [ -f /CurrentlyBuilding ]
-then
-    echo "Already running $(cat /CurrentlyBuilding)"
-    echo "If $(cat /CurrentlyBuilding) broke and nothing is actually running"
-    echo "remove /CurrentlyBuilding and run this script again"
-    exit 1
-else
-    echo "Package: $PACKAGE
-Component: $COMPONENT" > /CurrentlyBuilding
+    export NO_PKG_MANGLE=1
 fi
 
 [ -d PACKAGES ] || mkdir PACKAGES
-[ -d /proc/sys ] || mount proc /proc -t proc
-hostname devel.trisquel.info
 
 export DEBIAN_FRONTEND=noninteractive
 export DEBEMAIL=trisquel-devel@listas.trisquel.info
@@ -54,13 +46,7 @@ export UPSTREAMRELEASE=14.04
 MIRROR=http://archive.ubuntu.com/ubuntu
 DEVELMIRROR=http://devel.trisquel.info/trisquel/$CODENAME
 LOCALMIRROR=http://archive.trisquel.info/trisquel
-
-cat << EOF > /etc/lsb-release 
-DISTRIB_ID=Trisquel
-DISTRIB_RELEASE=$REVISION
-DISTRIB_CODENAME=$CODENAME
-DISTRIB_DESCRIPTION="Trisquel $REVISION"
-EOF
+LOCAL_APT=`mktemp -d` 
 
 replace(){
 find $3 -type f -not -iregex '.*changelog.*' -not -iregex '.*copyright.*' -execdir /bin/sed --follow-symlinks -i s^"$1"^"$2"^g {} \;
@@ -72,42 +58,59 @@ echo | dch -D $CODENAME -v $(/bin/sed -n '1s/^.*(\(.*\)).*/\1'+${REVISION}trisqu
 /bin/sed "/-- Trisquel/s/.*/ -- Trisquel GNU\/Linux developers <trisquel-devel@listas.trisquel.info>  $DATE/" -i debian/changelog
 }
 
-rm -rf PACKAGES/$PACKAGE
-mkdir PACKAGES/$PACKAGE
-cd PACKAGES/$PACKAGE
 
-cat << EOF > /etc/apt/sources.list
-deb $MIRROR $UPSTREAM main universe
-deb $MIRROR $UPSTREAM-updates main universe
-deb $MIRROR $UPSTREAM-security main universe
+#Setup local apt
+
+trap "rm -rf ${LOCAL_APT}" 0 HUP INT QUIT ILL ABRT FPE SEGV PIPE TERM
+
+mkdir -p ${LOCAL_APT}/var/lib/apt/partial
+mkdir -p ${LOCAL_APT}/var/cache/apt/archives/partial
+mkdir -p ${LOCAL_APT}/etc/
+mkdir -p ${LOCAL_APT}/var/lib/dpkg
+touch ${LOCAL_APT}/var/lib/dpkg/status
+touch ${LOCAL_APT}/etc/trusted.gpg
+
+cat << EOF > ${LOCAL_APT}/etc/apt.conf
+Dir::State "${LOCAL_APT}/var/lib/apt";
+Dir::State::status "${LOCAL_APT}/var/lib/dpkg/status";
+Dir::Etc::SourceList "${LOCAL_APT}/etc/apt.sources.list";
+Dir::Cache "${LOCAL_APT}/var/cache/apt";
+pkgCacheGen::Essential "none";
+Dir::Etc::Trusted "${LOCAL_APT}/etc/trusted.gpg";
+EOF
+
+if [ -f trusted.local.gpg ]
+then
+cp trusted.local.gpg "${LOCAL_APT}/etc/trusted.gpg"
+else
+#Trisquel key
+apt-key --keyring ${LOCAL_APT}/etc/trusted.gpg adv --keyserver keyserver.ubuntu.com --recv-keys B4EFB9F38D8AEBF1
+#Ubuntu gpg keys
+apt-key --keyring ${LOCAL_APT}/etc/trusted.gpg adv --keyserver keyserver.ubuntu.com --recv-keys 40976EAF437D05B5
+apt-key --keyring ${LOCAL_APT}/etc/trusted.gpg adv --keyserver keyserver.ubuntu.com --recv-keys 3B4FE6ACC0B21F32
+fi
+
+
+cat << EOF > ${LOCAL_APT}/etc/apt.sources.list
 deb-src $MIRROR $UPSTREAM main universe
 deb-src $MIRROR $UPSTREAM-updates main universe
 deb-src $MIRROR $UPSTREAM-security main universe
 
-#deb $LOCALMIRROR $CODENAME main
-#deb $LOCALMIRROR $CODENAME-updates main
-#deb $LOCALMIRROR $CODENAME-security main
-
-deb $DEVELMIRROR $CODENAME main
-#deb-src $DEVELMIRROR $CODENAME main
 EOF
 
-[ "1$EXTERNAL" != "1" ] && eval echo "$EXTERNAL" >> /etc/apt/sources.list
-[ "1$SIGNKEY" != "1" ] && apt-key adv --recv-keys --keyserver keyserver.ubuntu.com $SIGNKEY
+[ "1$EXTERNAL" != "1" ] && eval echo "$EXTERNAL" >> ${LOCAL_APT}/etc/apt.sources.list
 
-apt-get update
-apt-get install --force-yes -y devscripts
+[ "1$SIGNKEY" != "1" ] && apt-key --keyring ${LOCAL_APT}/etc/trusted.gpg adv --recv-keys --keyserver keyserver.ubuntu.com $SIGNKEY
 
-if [ $PACKAGE = linux ]
-then
-    apt-get --force-yes -y build-dep linux-libc-dev
-    apt-get source linux-libc-dev --download-only
-    dpkg-source -x --skip-patches *.dsc source
-else
-    [ 1$LOCALDEPENDS = 1true ] || apt-get --force-yes -y build-dep $PACKAGE
-    apt-get source $PACKAGE --download-only
-    dpkg-source -x --skip-patches *.dsc source
-fi
+#Cleanup
+rm -rf PACKAGES/$PACKAGE
+mkdir PACKAGES/$PACKAGE
+cd PACKAGES/$PACKAGE
+
+#Get package and uncompress it
+apt-get update -c $LOCAL_APT/etc/apt.conf
+apt-get source $PACKAGE --download-only -c ${LOCAL_APT}/etc/apt.conf
+dpkg-source -x --skip-patches *.dsc source
 
 find -maxdepth 1 -type f | xargs rm
 cd source
@@ -122,12 +125,7 @@ do
 done
 
 compile(){
-if [ 1$LOCALDEPENDS = 1true ]
-then
-    DEPENDS=$(/bin/sed -n '/Build-Dep/,/^[a-zA-W0-9]/ p' debian/control | head -n -1 | /bin/sed 's/.*://; s/(.*)//; s/\[.*\]//; s/,//g' |xargs echo -n)
-    echo Installing Build-Depends: $DEPENDS
-    apt-get --force-yes -y install $DEPENDS
-fi
+
 
 PROCESSORS=1
 if [ 1$PARALLEL != "1false" ]
@@ -135,22 +133,17 @@ then
     PROCESSORS=$(grep processor /proc/cpuinfo | wc -l)
 fi
 
+
 if [ 1$QUILT != 1skip ]; then
 export QUILT_PATCHES=debian/patches
 [ -s debian/patches/series ] && quilt push -a
 fi
 
-if [ $FAKEROOT ]
-then
-/bin/sed '/nobody/ s_/usr/sbin/nologin_/bin/bash_' -i /etc/passwd
-chown nobody ../ -R
-su nobody -c 'dpkg-buildpackage -us -uc -j$PROCESSORS -rfakeroot'
-else
-dpkg-buildpackage -us -uc -j$PROCESSORS
-fi
+cd ..
+dpkg-source -b source
+rm -rf ${LOCAL_APT}
+echo "Trisquel source package built!"
 
-rm /CurrentlyBuilding
-umount /proc
 }
 
 sedhelper2(){
diff --git a/helpers/make-cron b/helpers/make-cron
new file mode 100644
index 0000000000000000000000000000000000000000..649898fa20eb90438b364d140381264568c1fafc
--- /dev/null
+++ b/helpers/make-cron
@@ -0,0 +1,31 @@
+#!/bin/sh
+#
+#    Copyright (C) 2014 Andrew M. Lindley <andrew@andrewlindley.co.uk>
+#
+#    This program is free software; you can redistribute it and/or modify
+#    it under the terms of the GNU General Public License as published by
+#    the Free Software Foundation; either version 2 of the License, or
+#    (at your option) any later version.
+#
+#    This program is distributed in the hope that it will be useful,
+#    but WITHOUT ANY WARRANTY; without even the implied warranty of
+#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#    GNU General Public License for more details.
+#
+#    You should have received a copy of the GNU General Public License
+#    along with this program; if not, write to the Free Software
+#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA
+#
+
+VERSION=1
+
+. ./config
+
+rm debian/examples/crontab2english.pl 
+
+sed '/crontab2english.pl/,/License: Artistic/d;/License: Artistic/,/common-licenses/d' -i debian/copyright 
+
+changelog "Removed non-free example #10868"
+
+compile
+
diff --git a/helpers/make-ubuntu-release-upgrader b/helpers/make-ubuntu-release-upgrader
index 9305893140206bde41ef00c6ea4b1afbf08ea15a..6d1e66232cb55736cd3fc202f5fa22f6519e8e15 100644
--- a/helpers/make-ubuntu-release-upgrader
+++ b/helpers/make-ubuntu-release-upgrader
@@ -1,6 +1,7 @@
 #!/bin/sh
 #
 #    Copyright (C) 2008-2010  Rubén Rodríguez <ruben@trisquel.info>
+#    Copyright (C)      2014  Santiago Rodriguez <santi@trisquel.info>
 #
 #    This program is free software; you can redistribute it and/or modify
 #    it under the terms of the GNU General Public License as published by
@@ -20,8 +21,9 @@
 # Note that you would need to publish and sign the upgrade tarball
 # gpg -ba release_name.tar.gz
 # Also, don't forget to update the meta-release files at archive and packages.t.i
+# The "obsoletes" list from ubuntu has been removed
 
-VERSION=10
+VERSION=11
 
 . ./config
 
@@ -35,10 +37,6 @@ sed s/self._test_and_warn_on_dropped_fglrx_support/#self._test_and_warn_on_dropp
 sed '/nvidia/d' DistUpgrade/build-tarball.sh -i
 rm tests/test-data/xorg.conf.fglrx
 
-#% Make sure nvidia-common and fglrx-modaliases are not installed
-apt-get remove --purge -y nvidia-common  || true 
-apt-get remove --purge -y fglrx-modaliases || true
-
 #https://bugs.launchpad.net/ubuntu/+source/python-defaults/+bug/990740
 cat << EOF >> DistUpgrade/DistUpgradeQuirks.py
 
@@ -195,7 +193,6 @@ EOF
 
 rm DistUpgrade/EOLReleaseAnnouncement.html DistUpgrade/ReleaseAnnouncement.html
 
-apt-get install -q -y parsewiki
 parsewiki DistUpgrade/EOLReleaseAnnouncement > DistUpgrade/EOLReleaseAnnouncement.html
 parsewiki DistUpgrade/ReleaseAnnouncement > DistUpgrade/ReleaseAnnouncement.html
 
@@ -265,9 +262,8 @@ chmod 755 DistUpgrade/trisquel-postinstall.sh
 
 replace changelogs.ubuntu.com packages.trisquel.info .
 
-/bin/sed -i 's/�~Lubuntu/�~Ltrisquel/g; s/被ubuntu/被trisquel/g; s#http://launchpad.net/ubuntu/+source/%s/%s/+changelog#http://trisquel.info/project/issues#g; s/<.*@ubuntu.com/<info@trisquel.info/g; s/ ubuntu\n/ trisquel\n/g; s/ubuntu\ /trisquel\ /g; s/\ ubuntu/\ trisquel/g; s/Ubuntu/Trisquel/g; s/ubuntu-desktop/trisquel-/g; s/www.ubuntu.com/trisquel.info/g; s/www.ubuntulinux.org/trisquel.info/g ' po/*.po $(find | grep py$) $(find | grep '\.glade$')
+/bin/sed -i 's/�~Lubuntu/�~Ltrisquel/g; s/被ubuntu/被trisquel/g; s#http://launchpad.net/ubuntu/+source/%s/%s/+changelog#http://trisquel.info/project/issues#g; s/<.*@ubuntu.com/<info@trisquel.info/g; s/ ubuntu\n/ trisquel\n/g; s/ubuntu\ /trisquel\ /g; s/\ ubuntu/\ trisquel/g; s/Ubuntu/Trisquel/g; s/ubuntu-desktop/trisquel-/g; s/www.ubuntu.com/trisquel.info/g; s/www.ubuntulinux.org/trisquel.info/g ' po/*.po $(find -type f | grep py$) $(find -type f | grep '\.glade$')
 
-apt-get install --force-yes -y rpl
 rpl 11\.04 5\.0 DistUpgrade/*.ui
 rpl 11\.04 5\.0 po/* -R
 rpl 11\.10 5\.5 DistUpgrade/*.ui
@@ -323,8 +319,11 @@ for i in core gtk qt; do
   sed "/Package: trisquel-release-upgrader-$i/ s/$/\nProvides: ubuntu-release-upgrader-$i/" -i debian/control
 done
 
+#ubuntu-drivers-common is not a build-dep, nor avaliable in trisquel.
+sed -i 's/cp \/usr\/share\/ubuntu-drivers-common\/obsolete/touch/g' DistUpgrade/build-tarball.sh
+
+
 changelog "Compiled for Trisquel"
 
 PARALLEL=false compile
 
-cp ../dist-upgrader* /root